Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_PSDL_Abstract_Storagehome_Header Class Reference

**************************************************************** More...

`#include <PSDL_Node.h>`

Inheritance diagram for TAO_PSDL_Abstract_Storagehome_Header:

[legend]
Collaboration diagram for TAO_PSDL_Abstract_Storagehome_Header:

[legend]
List of all members.

## Public Methods
| TAO_PSDL_Abstract_Storagehome_Header (TAO_PSDL_Node *identifier, TAO_PSDL_Node *abs_storagetype_name)
| ****************************************************************
| TAO_PSDL_Abstract_Storagehome_Header (TAO_PSDL_Node *identifier, TAO_PSDL_Node *abs_storagetype_name, TAO_PSDL_Node *abs_storagehome_inh_spec)
virtual | ~TAO_PSDL_Abstract_Storagehome_Header (void)
TAO_PSDL_Node * | identifier (void) const
| Get the value.
TAO_PSDL_Node * | abs_storagetype_name (void) const
TAO_PSDL_Node * | abs_storagehome_inh_spec (void) const
int | accept (TAO_PSDL_Node_Visitor *visitor)
| = The Node methods.
## Private Attributes
TAO_PSDL_Node * | identifier_
| The values.
TAO_PSDL_Node * | abs_storagetype_name_
TAO_PSDL_Node * | abs_storagehome_inh_spec_

## Detailed Description

****************************************************************

## Constructor & Destructor Documentation

TAO_PSDL_Abstract_Storagehome_Header::TAO_PSDL_Abstract_Storagehome_Header | ( | TAO_PSDL_Node * | identifier,
|  | TAO_PSDL_Node * | abs_storagetype_name
| ) |

| ****************************************************************

TAO_PSDL_Abstract_Storagehome_Header::TAO_PSDL_Abstract_Storagehome_Header | ( | TAO_PSDL_Node * | identifier,
|  | TAO_PSDL_Node * | abs_storagetype_name,
|  | TAO_PSDL_Node * | abs_storagehome_inh_spec
| ) |

TAO_PSDL_Abstract_Storagehome_Header::~TAO_PSDL_Abstract_Storagehome_Header | ( | void |  | ) | `[virtual]`

## Member Function Documentation

TAO_PSDL_Node * TAO_PSDL_Abstract_Storagehome_Header::abs_storagehome_inh_spec | ( | void |  | ) | const

TAO_PSDL_Node * TAO_PSDL_Abstract_Storagehome_Header::abs_storagetype_name | ( | void |  | ) | const

int TAO_PSDL_Abstract_Storagehome_Header::accept | ( | TAO_PSDL_Node_Visitor * | visitor | ) | `[virtual]`

| = The Node methods. Implements TAO_PSDL_Node.

TAO_PSDL_Node * TAO_PSDL_Abstract_Storagehome_Header::identifier | ( | void |  | ) | const

| Get the value.

## Member Data Documentation

TAO_PSDL_Node* TAO_PSDL_Abstract_Storagehome_Header::abs_storagehome_inh_spec_`[private]`

TAO_PSDL_Node* TAO_PSDL_Abstract_Storagehome_Header::abs_storagetype_name_`[private]`

TAO_PSDL_Node* TAO_PSDL_Abstract_Storagehome_Header::identifier_`[private]`

| The values.

The documentation for this class was generated from the following files:

- PSDL_Node.h
- PSDL_Node.cpp